{
    "attributes": {
        "NOTE": {
            "isGenerated": false,
            "key": "NOTE",
            "origin": "62f9166d-ebd7-482a-8d09-94303a071c03",
            "type": "STRING",
            "value": "Usage of 'time_start_and_duration' is deprecated in v1.2.5"
        },
        "_author": {
            "isGenerated": false,
            "key": "_author",
            "origin": "62f9166d-ebd7-482a-8d09-94303a071c03",
            "type": "STRING",
            "value": "filatov"
        },
        "_description": {
            "isGenerated": false,
            "key": "_description",
            "origin": "62f9166d-ebd7-482a-8d09-94303a071c03",
            "type": "STRING",
            "value": "Check the certificate chain to ensure that the time validity restriction of the subordinate certificate is inside the time validity restriction of the issuing certificate"
        },
        "_expectedResults": {
            "isGenerated": false,
            "key": "_expectedResults",
            "origin": "62f9166d-ebd7-482a-8d09-94303a071c03",
            "type": "STRING",
            "value": "with\r\n\tthe IUT being in the 'authorized' state\r\n\tthe IUT being requested to include certificate chain in the next CAM\r\nensure that\r\n\twhen\r\n\t\tthe IUT is requested to send a CAM\r\n\tthen\r\n\t\tthe IUT sends a SecuredMessage\r\n\t\t\tcontaining header_fields['signer_info'].signer\r\n\t\t\t\tcontaining type\r\n\t\t\t\t\tindicating 'certificate_chain'\r\n\t\t\t\tcontaining certificates\r\n\t\t\t\t\tindicating length N > 1\r\n\t\t\t\t\tand containing certificates[n] (0..N)\r\n\t\t\t\t\t\tcontaining validity_restrictions\r\n\t\t\t\t\t\t\tcontaining validity_restrictions['time_end']\r\n\t\t\t\t\t\t\t\tcontaining end_validity\r\n\t\t\t\t\t\t\t\t\tindicating X_END_VALIDITY_AT\r\n\t\t\t\t\t\t\tor containing validity_restrictions['time_start_and_end']\r\n\t\t\t\t\t\t\t\tcontaining start_validity\r\n\t\t\t\t\t\t\t\t\tindicating X_START_VALIDITY_AT\r\n\t\t\t\t\t\t\t\tand containing end_validity\r\n\t\t\t\t\t\t\t\t\tindicating X_END_VALIDITY_AT >X_START_VALIDITY_AT\r\n\t\t\t\t\t\t\tor containing validity_restrictions['time_start_and_duration']\r\n\t\t\t\t\t\t\t\tcontaining start_validity\r\n\t\t\t\t\t\t\t\t\tindicating X_START_VALIDITY_AT\r\n\t\t\t\t\t\t\t\tand containing end_validity\r\n\t\t\t\t\t\t\t\t\tindicating X_DURATION_AT > 0\r\n\t\t\t\t\t\tand containing signer_info\r\n\t\t\t\t\t\t\tcontaining digest\r\n\t\t\t\t\t\t\t\treferenced to the certificate\r\n\t\t\t\t\t\t\t\t\tcontaining validity_restrictions['time_end']\r\n\t\t\t\t\t\t\t\t\t\tcontaining end_validity\r\n\t\t\t\t\t\t\t\t\t\t\tindicating value >= X_END_VALIDITY_AT if defined\r\n\t\t\t\t\t\t\t\t\t\t\tor indicating value >= X_START_VALIDITY_AT + X_DURATION_AT\r\n\t\t\t\t\t\t\t\t\tor containing validity_restrictions['time_start_and_end']\r\n\t\t\t\t\t\t\t\t\t\tcontaining start_validity\r\n\t\t\t\t\t\t\t\t\t\t\tindicating value <= X_START_VALIDITY_AT if defined\r\n\t\t\t\t\t\t\t\t\t\t\tor indicating value <= CURRENT_TIME\r\n\t\t\t\t\t\t\t\t\t\tand containing end_validity\r\n\t\t\t\t\t\t\t\t\t\t\tindicating value >= X_END_VALIDITY_AT if defined\r\n\t\t\t\t\t\t\t\t\t\t\tor indicating value >= X_START_VALIDITY_AT + X_DURATION_AT\r\n\t\t\t\t\t\t\t\t\tor containing validity_restrictions['time_start_and_duration']\r\n\t\t\t\t\t\t\t\t\t\tcontaining start_validity\r\n\t\t\t\t\t\t\t\t\t\t\tindicating X_START_VALIDITY_AA <= X_START_VALIDITY_AT if defined\r\n\t\t\t\t\t\t\t\t\t\t\tor indicating X_START_VALIDITY_AA <= CURRENT_TIME\r\n\t\t\t\t\t\t\t\t\t\tand containing duration\r\n\t\t\t\t\t\t\t\t\t\t\tindicating value >= X_END_VALIDITY_AT - X_START_VALIDITY_AA if defined\r\n\t\t\t\t\t\t\t\t\t\t\tor indicating value >= X_START_VALIDITY_AT + X_DURATION_AT -\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\tX_START_VALIDITY_AA"
        },
        "_status": {
            "isGenerated": false,
            "key": "_status",
            "origin": "62f9166d-ebd7-482a-8d09-94303a071c03",
            "type": "STRING",
            "value": "complete"
        },
        "_type": {
            "isGenerated": false,
            "key": "_type",
            "origin": "62f9166d-ebd7-482a-8d09-94303a071c03",
            "type": "STRING",
            "value": "TestPurpose"
        }
    },
    "uuid": "62f9166d-ebd7-482a-8d09-94303a071c03"
}